### Method

# Gtk Imageget_paintable

#### Declaration [src]

    GdkPaintable*
    gtk_image_get_paintable (
      GtkImage* image
    )

#### Description [src]

Gets the image `GdkPaintable` being displayed by the `GtkImage`.

The storage type of the image must be `GTK_IMAGE_EMPTY` or `GTK_IMAGE_PAINTABLE` (see `gtk_image_get_storage_type()`). The caller of this function does not own a reference to the returned paintable.

Gets property | `Gtk.Image:paintable`

#### Return value

Type: `GdkPaintable`

The displayed paintable.

The data is owned by the instance.
The return value can be `NULL`.